WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/September 2022/17 Sep 2022

Edinburgh Rugby 44–6 Dragons RFC

209 photographs Huw Evans AgencyDavid Gibson Saturday
Prints from £8 Order prints
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan 001
CDF_170922_Edinburgh_v_Dragons_01.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC warms up 002
CDF_170922_Edinburgh_v_Dragons_02.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC warms up
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan 003
CDF_170922_Edinburgh_v_Dragons_03.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players during the pre match warm up 004
CDF_170922_Edinburgh_v_Dragons_04.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players during the pre match warm up
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan 005
CDF_170922_Edinburgh_v_Dragons_05.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Head Coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players gather into a huddle during the pre match warm up 006
CDF_170922_Edinburgh_v_Dragons_06.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players gather into a huddle during the pre match warm up
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II 007
CDF_170922_Edinburgh_v_Dragons_07.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II 008
CDF_170922_Edinburgh_v_Dragons_08.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II 009
CDF_170922_Edinburgh_v_Dragons_09.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II 010
CDF_170922_Edinburgh_v_Dragons_10.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC players stand for a minute's silence before kick off in remembrance and respect following the passing of Her Majesty Queen Elizabeth II
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons is tackled 011
CDF_170922_Edinburgh_v_Dragons_11.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons is tackled
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty 012
CDF_170922_Edinburgh_v_Dragons_12.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC hands off Damien Hoyland (L) 013
CDF_170922_Edinburgh_v_Dragons_13.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC hands off Damien Hoyland (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC takes on Charlie Savala of Edinburgh (10) 014
CDF_170922_Edinburgh_v_Dragons_14.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC takes on Charlie Savala of Edinburgh (10)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC number 8 takes on Charlie Savala (R) and Dave Cherry (2) of Edinburgh 015
CDF_170922_Edinburgh_v_Dragons_15.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC number 8 takes on Charlie Savala (R) and Dave Cherry (2) of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC is tackled by Dave Cherry of Edinburgh (L) 016
CDF_170922_Edinburgh_v_Dragons_16.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC is tackled by Dave Cherry of Edinburgh (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty 017
CDF_170922_Edinburgh_v_Dragons_17.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty 018
CDF_170922_Edinburgh_v_Dragons_18.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC kicks a first half penalty
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons tries to break a tackle 019
CDF_170922_Edinburgh_v_Dragons_19.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons tries to break a tackle
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 020
CDF_170922_Edinburgh_v_Dragons_20.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 021
CDF_170922_Edinburgh_v_Dragons_21.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 022
CDF_170922_Edinburgh_v_Dragons_22.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 023
CDF_170922_Edinburgh_v_Dragons_23.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 024
CDF_170922_Edinburgh_v_Dragons_24.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Vellacott of Edinburgh passes 025
CDF_170922_Edinburgh_v_Dragons_25.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Vellacott of Edinburgh passes
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh dives over the line for a spectacular try in the second half 026
CDF_170922_Edinburgh_v_Dragons_26.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh dives over the line for a spectacular try in the second half
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh dives over the line for a spectacular try in the second half 027
CDF_170922_Edinburgh_v_Dragons_27.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh dives over the line for a spectacular try in the second half
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh celebrates his spectacular try in the second half with Jamie Ritchie 028
CDF_170922_Edinburgh_v_Dragons_28.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Man-of-the-match Darcy Graham of Edinburgh celebrates his spectacular try in the second half with Jamie Ritchie
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players leave the field dejected following a 44-6 defeat 029
CDF_170922_Edinburgh_v_Dragons_29.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players leave the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players leave the field dejected following a 44-6 defeat 030
CDF_170922_Edinburgh_v_Dragons_30.jpg · David Gibson170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players leave the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC captain leaves the field dejected following a 44-6 defeat 031
CDF_170922_Edinburgh_v_Dragons_31.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC captain leaves the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC  leaves the field dejected following a 44-6 defeat 032
CDF_170922_Edinburgh_v_Dragons_32.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC leaves the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat 033
CDF_170922_Edinburgh_v_Dragons_33.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat 034
CDF_170922_Edinburgh_v_Dragons_34.jpg · David Gibson170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat 035
CDF_170922_Edinburgh_v_Dragons_35.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC leaves the field dejected following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 036
CDF_170922_Edinburgh_v_Dragons_100.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 037
CDF_170922_Edinburgh_v_Dragons_101.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 038
CDF_170922_Edinburgh_v_Dragons_102.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 039
CDF_170922_Edinburgh_v_Dragons_103.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Referee Andrea Piardi of Italy 040
CDF_170922_Edinburgh_v_Dragons_104.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Referee Andrea Piardi of Italy
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players stand dejected after conceding a try 041
CDF_170922_Edinburgh_v_Dragons_105.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players stand dejected after conceding a try
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players stand dejected after conceding a try 042
CDF_170922_Edinburgh_v_Dragons_106.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players stand dejected after conceding a try
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 043
CDF_170922_Edinburgh_v_Dragons_107.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 044
CDF_170922_Edinburgh_v_Dragons_108.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC 045
CDF_170922_Edinburgh_v_Dragons_109.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC 046
CDF_170922_Edinburgh_v_Dragons_110.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Carter of Dragons RFC 047
CDF_170922_Edinburgh_v_Dragons_111.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Carter of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Carter of Dragons RFC 048
CDF_170922_Edinburgh_v_Dragons_112.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Carter of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 049
CDF_170922_Edinburgh_v_Dragons_113.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 050
CDF_170922_Edinburgh_v_Dragons_114.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 051
CDF_170922_Edinburgh_v_Dragons_115.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sean Lonsdale of Dragons RFC 052
CDF_170922_Edinburgh_v_Dragons_116.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sean Lonsdale of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 053
CDF_170922_Edinburgh_v_Dragons_117.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 054
CDF_170922_Edinburgh_v_Dragons_118.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 055
CDF_170922_Edinburgh_v_Dragons_119.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 056
CDF_170922_Edinburgh_v_Dragons_120.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 057
CDF_170922_Edinburgh_v_Dragons_121.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 058
CDF_170922_Edinburgh_v_Dragons_122.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 059
CDF_170922_Edinburgh_v_Dragons_123.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 060
CDF_170922_Edinburgh_v_Dragons_124.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Chris Coleman of Dragons RFC  drives into Stuart McInally of Edinburgh 061
CDF_170922_Edinburgh_v_Dragons_125.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Chris Coleman of Dragons RFC drives into Stuart McInally of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 062
CDF_170922_Edinburgh_v_Dragons_126.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 063
CDF_170922_Edinburgh_v_Dragons_127.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 064
CDF_170922_Edinburgh_v_Dragons_128.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 065
CDF_170922_Edinburgh_v_Dragons_129.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 066
CDF_170922_Edinburgh_v_Dragons_130.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 067
CDF_170922_Edinburgh_v_Dragons_131.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout 068
CDF_170922_Edinburgh_v_Dragons_132.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout 069
CDF_170922_Edinburgh_v_Dragons_133.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout 070
CDF_170922_Edinburgh_v_Dragons_134.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Sam Skinner of Edinburgh at a lineout
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 071
CDF_170922_Edinburgh_v_Dragons_135.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 072
CDF_170922_Edinburgh_v_Dragons_136.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 073
CDF_170922_Edinburgh_v_Dragons_137.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 074
CDF_170922_Edinburgh_v_Dragons_138.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 075
CDF_170922_Edinburgh_v_Dragons_139.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 076
CDF_170922_Edinburgh_v_Dragons_140.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC 077
CDF_170922_Edinburgh_v_Dragons_141.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Taine Basham of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC 078
CDF_170922_Edinburgh_v_Dragons_142.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 079
CDF_170922_Edinburgh_v_Dragons_143.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Josh Reynolds of Dragons RFC 080
CDF_170922_Edinburgh_v_Dragons_144.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Josh Reynolds of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC number 8 (far right) prepares for a scrum 081
CDF_170922_Edinburgh_v_Dragons_145.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ross Moriarty of Dragons RFC number 8 (far right) prepares for a scrum
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Referee Andrea Piardi of Italy 082
CDF_170922_Edinburgh_v_Dragons_146.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Referee Andrea Piardi of Italy
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 083
CDF_170922_Edinburgh_v_Dragons_147.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC 084
CDF_170922_Edinburgh_v_Dragons_148.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC 085
CDF_170922_Edinburgh_v_Dragons_149.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Jamie Ritchie of Edinburgh at a lineout 086
CDF_170922_Edinburgh_v_Dragons_150.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Jamie Ritchie of Edinburgh at a lineout
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Jamie Ritchie of Edinburgh at a lineout 087
CDF_170922_Edinburgh_v_Dragons_151.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC is challenged by Jamie Ritchie of Edinburgh at a lineout
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 088
CDF_170922_Edinburgh_v_Dragons_152.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 089
CDF_170922_Edinburgh_v_Dragons_153.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 090
CDF_170922_Edinburgh_v_Dragons_154.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 091
CDF_170922_Edinburgh_v_Dragons_155.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 092
CDF_170922_Edinburgh_v_Dragons_156.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 093
CDF_170922_Edinburgh_v_Dragons_157.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 094
CDF_170922_Edinburgh_v_Dragons_158.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 095
CDF_170922_Edinburgh_v_Dragons_159.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle at the end of the match following a 44-6 defeat 096
CDF_170922_Edinburgh_v_Dragons_160.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle at the end of the match following a 44-6 defeat
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 097
CDF_170922_Edinburgh_v_Dragons_161.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 098
CDF_170922_Edinburgh_v_Dragons_162.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 099
CDF_170922_Edinburgh_v_Dragons_163.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 100
CDF_170922_Edinburgh_v_Dragons_164.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sean Lonsdale of Dragons RFC 101
CDF_170922_Edinburgh_v_Dragons_165.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sean Lonsdale of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 102
CDF_170922_Edinburgh_v_Dragons_166.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 103
CDF_170922_Edinburgh_v_Dragons_167.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 104
CDF_170922_Edinburgh_v_Dragons_168.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 105
CDF_170922_Edinburgh_v_Dragons_169.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 106
CDF_170922_Edinburgh_v_Dragons_170.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 107
CDF_170922_Edinburgh_v_Dragons_171.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 108
CDF_170922_Edinburgh_v_Dragons_172.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 109
CDF_170922_Edinburgh_v_Dragons_173.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 110
CDF_170922_Edinburgh_v_Dragons_174.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC General Manager James Chapron 111
CDF_170922_Edinburgh_v_Dragons_175.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC General Manager James Chapron
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 112
CDF_170922_Edinburgh_v_Dragons_176.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 113
CDF_170922_Edinburgh_v_Dragons_177.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 114
CDF_170922_Edinburgh_v_Dragons_178.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 115
CDF_170922_Edinburgh_v_Dragons_179.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 116
CDF_170922_Edinburgh_v_Dragons_180.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 117
CDF_170922_Edinburgh_v_Dragons_181.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 118
CDF_170922_Edinburgh_v_Dragons_182.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 119
CDF_170922_Edinburgh_v_Dragons_183.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 120
CDF_170922_Edinburgh_v_Dragons_184.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 121
CDF_170922_Edinburgh_v_Dragons_185.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 122
CDF_170922_Edinburgh_v_Dragons_186.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 123
CDF_170922_Edinburgh_v_Dragons_187.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan 124
CDF_170922_Edinburgh_v_Dragons_188.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC Director of Rugby Dean Ryan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC front row packs down for scrum practice during the pre match warm up 125
CDF_170922_Edinburgh_v_Dragons_189.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC front row packs down for scrum practice during the pre match warm up
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC strength & conditioning coach Dan Baugh (R) 126
CDF_170922_Edinburgh_v_Dragons_190.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC strength & conditioning coach Dan Baugh (R)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 127
CDF_170922_Edinburgh_v_Dragons_191.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 128
CDF_170922_Edinburgh_v_Dragons_192.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 129
CDF_170922_Edinburgh_v_Dragons_193.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies 130
CDF_170922_Edinburgh_v_Dragons_194.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Mefin Davies
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 131
CDF_170922_Edinburgh_v_Dragons_195.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 132
CDF_170922_Edinburgh_v_Dragons_196.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 133
CDF_170922_Edinburgh_v_Dragons_197.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 134
CDF_170922_Edinburgh_v_Dragons_198.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 135
CDF_170922_Edinburgh_v_Dragons_199.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 136
CDF_170922_Edinburgh_v_Dragons_200.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 137
CDF_170922_Edinburgh_v_Dragons_201.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 138
CDF_170922_Edinburgh_v_Dragons_202.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 139
CDF_170922_Edinburgh_v_Dragons_203.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 140
CDF_170922_Edinburgh_v_Dragons_204.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Lewis Jones of Dragons RFC 141
CDF_170922_Edinburgh_v_Dragons_205.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Lewis Jones of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Lewis Jones of Dragons RFC 142
CDF_170922_Edinburgh_v_Dragons_206.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Lewis Jones of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 143
CDF_170922_Edinburgh_v_Dragons_207.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC 144
CDF_170922_Edinburgh_v_Dragons_208.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC 145
CDF_170922_Edinburgh_v_Dragons_209.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Reed of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 146
CDF_170922_Edinburgh_v_Dragons_210.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 147
CDF_170922_Edinburgh_v_Dragons_211.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 148
CDF_170922_Edinburgh_v_Dragons_212.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 149
CDF_170922_Edinburgh_v_Dragons_213.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 150
CDF_170922_Edinburgh_v_Dragons_214.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 151
CDF_170922_Edinburgh_v_Dragons_215.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 152
CDF_170922_Edinburgh_v_Dragons_216.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 153
CDF_170922_Edinburgh_v_Dragons_217.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan 154
CDF_170922_Edinburgh_v_Dragons_218.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC head coach Dai Flanagan
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 155
CDF_170922_Edinburgh_v_Dragons_219.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross 156
CDF_170922_Edinburgh_v_Dragons_220.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons RFC forwards coach Simon Cross
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 157
CDF_170922_Edinburgh_v_Dragons_47.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 158
CDF_170922_Edinburgh_v_Dragons_48.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 159
CDF_170922_Edinburgh_v_Dragons_49.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by Charlie Savala of Edinburgh 160
CDF_170922_Edinburgh_v_Dragons_50.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by Charlie Savala of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off 161
CDF_170922_Edinburgh_v_Dragons_51.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off 162
CDF_170922_Edinburgh_v_Dragons_52.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off 163
CDF_170922_Edinburgh_v_Dragons_53.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off 164
CDF_170922_Edinburgh_v_Dragons_54.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Dragons players gather into a huddle just before kick off
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - A lone piper plays during a minutes silence before kick off in remembrance and respect following the passing of Queen Elizabeth II 165
CDF_170922_Edinburgh_v_Dragons_55.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - A lone piper plays during a minutes silence before kick off in remembrance and respect following the passing of Queen Elizabeth II
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh 166
CDF_170922_Edinburgh_v_Dragons_56.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh 167
CDF_170922_Edinburgh_v_Dragons_57.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh 168
CDF_170922_Edinburgh_v_Dragons_58.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh 169
CDF_170922_Edinburgh_v_Dragons_59.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Marshall Sykes of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Mark Bennett of Edinburgh 170
CDF_170922_Edinburgh_v_Dragons_60.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Mark Bennett of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Mark Bennett of Edinburgh 171
CDF_170922_Edinburgh_v_Dragons_61.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Mark Bennett of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 172
CDF_170922_Edinburgh_v_Dragons_62.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 173
CDF_170922_Edinburgh_v_Dragons_63.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 174
CDF_170922_Edinburgh_v_Dragons_64.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 175
CDF_170922_Edinburgh_v_Dragons_65.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 176
CDF_170922_Edinburgh_v_Dragons_66.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC 177
CDF_170922_Edinburgh_v_Dragons_67.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Aki Seiuli of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC 178
CDF_170922_Edinburgh_v_Dragons_68.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Bradley Roberts of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC 179
CDF_170922_Edinburgh_v_Dragons_69.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Fry of Dragons RFC 180
CDF_170922_Edinburgh_v_Dragons_70.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Ben Fry of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC 181
CDF_170922_Edinburgh_v_Dragons_71.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC passes to Will Rowlands 182
CDF_170922_Edinburgh_v_Dragons_72.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC passes to Will Rowlands
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 183
CDF_170922_Edinburgh_v_Dragons_73.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC 184
CDF_170922_Edinburgh_v_Dragons_74.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Will Rowlands of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC tackles Jamie Ritchie of Edinburgh 185
CDF_170922_Edinburgh_v_Dragons_75.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC tackles Jamie Ritchie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean 186
CDF_170922_Edinburgh_v_Dragons_76.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean 187
CDF_170922_Edinburgh_v_Dragons_77.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L) 188
CDF_170922_Edinburgh_v_Dragons_78.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L) 189
CDF_170922_Edinburgh_v_Dragons_79.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L) 190
CDF_170922_Edinburgh_v_Dragons_80.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jack Dixon of Dragons RFC is tackled by opposite number Chris Dean and Charlie Savala (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 191
CDF_170922_Edinburgh_v_Dragons_81.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC (centre) of Rio Dyer of Dragons RFC (L) 192
CDF_170922_Edinburgh_v_Dragons_82.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - JJ Hanrahan of Dragons RFC (centre) of Rio Dyer of Dragons RFC (L)
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC 193
CDF_170922_Edinburgh_v_Dragons_83.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rio Dyer of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 194
CDF_170922_Edinburgh_v_Dragons_84.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 195
CDF_170922_Edinburgh_v_Dragons_85.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 196
CDF_170922_Edinburgh_v_Dragons_86.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC 197
CDF_170922_Edinburgh_v_Dragons_87.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Rhodri Williams of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 198
CDF_170922_Edinburgh_v_Dragons_88.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 199
CDF_170922_Edinburgh_v_Dragons_89.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Bill Mata of Edinburgh is tackled by Jack Dixon of Dragons RFC 200
CDF_170922_Edinburgh_v_Dragons_90.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Bill Mata of Edinburgh is tackled by Jack Dixon of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC 201
CDF_170922_Edinburgh_v_Dragons_91.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Jared Rosser of Dragons RFC
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 202
CDF_170922_Edinburgh_v_Dragons_92.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 203
CDF_170922_Edinburgh_v_Dragons_93.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 204
CDF_170922_Edinburgh_v_Dragons_94.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 205
CDF_170922_Edinburgh_v_Dragons_95.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 206
CDF_170922_Edinburgh_v_Dragons_96.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 207
CDF_170922_Edinburgh_v_Dragons_97.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 208
CDF_170922_Edinburgh_v_Dragons_98.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh
170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh 209
CDF_170922_Edinburgh_v_Dragons_99.jpg · Huw Evans Agency170922 - Edinburgh Rugby v Dragons RFC - United Rugby Championship - Sio Tomkinson of Dragons RFC is tackled by Luke Crosbie of Edinburgh

More from around this date

Sat 17 SepScarlets 23-23 Ospreys Sat 17 SepBynea v Tonmawr Sat 17 SepCardiff Rugby 20-13 Munster Sat 17 SepHuddersfield Town 1-0 Cardiff City Sat 17 SepNewport County 0-2 Barrow Sat 17 SepSwansea City 3-0 Hull City Mon 19 SepWales Women Rugby Training Thu 15 SepCardiff Rugby Training
Edinburgh Rugby 44-6 Dragons RFC · 17 Sep 2022
Buy a print
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured